#include <iostream>

using namespace std;

int main()
{
    int n, m;
    cin >> n >> m;
    int k = 0;
    int jmanje = 0;
    int jvece = 0;
    if (m % 2 != 0) {
        jvece = m / 2;
        jmanje = m - jvece - 2;
    }
    else {
        jvece = (m - 1) / 2;
        jmanje = jvece;
    }
    cout << n * m - ((n / 2) * jvece + (n - n / 2 - 2) * jmanje);
}